#include "transformation.h"

transformation::transformation()
{
  score = transx = transy = 0;
}

transformation::~transformation()
{
}

transformation::transformation( const transformation &t )
{
  score = t.score;
  transx = t.transx;
  transy = t.transy;
  x_var = t.x_var;
  y_var = t.y_var;
}

transformation &transformation::operator=(const transformation &t )
{
  score = t.score;
  transx = t.transx;
  transy = t.transy;
  x_var = t.x_var;
  y_var = t.y_var;
  return *this;
}


bool operator<( const transformation &a,
                const transformation &b )
{
  return a.score > b.score;
}
bool operator>( const transformation &a,
                const transformation &b)
{
  return a.score < b.score;
}
bool operator==( const transformation &a,
                 const transformation &b )
{
  return a.score == b.score;
}
